Bug 183661 - ramfs: update dir mtime and ctime
ramfs: update dir mtime and ctime
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Staubach
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-03-02 10:54 EST by Jason Baron
Modified: 2013-03-06 00:59 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 18:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (532 bytes, patch)
2006-03-02 15:42 EST, Peter Staubach
no flags Details | Diff

  None (edit)
Description Jason Baron 2006-03-02 10:54:02 EST
Description of problem:

directory's update times are not modified during file creation in ramfs.
see:
http://www.kernel.org/git/?p=linux/kernel/git/chrisw/linux-2.6.15.y.git;a=commitdiff;h=b9c53139e460fa93b7b20928f8b49a3cb2432b69

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Staubach 2006-03-02 15:42:27 EST
Created attachment 125567 [details]
Proposed patch
Comment 2 Peter Staubach 2006-03-02 15:45:00 EST
The ramfs code to create most file types was missing the directory m/ctime
update as described in the bug description field.

It turns out that the support to create symbolic links was also not
updating the directory m/ctime.

Fixed both.
Comment 3 Jason Baron 2006-04-12 09:01:27 EDT
committed in stream U4 build 34.17. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 6 Red Hat Bugzilla 2006-08-10 18:30:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.